## com.fasterxml.jackson.databind.module
Class SimpleKeyDeserializers

    java.lang.Object
      com.fasterxml.jackson.databind.module.SimpleKeyDeserializers

All Implemented Interfaces:
  KeyDeserializers, Serializable

    public class SimpleKeyDeserializers

extends Object
implements KeyDeserializers, Serializable

Simple implementation `KeyDeserializers` which allows registration of deserializers based on raw (type erased class). It can work well for basic bean and scalar type deserializers, but is not a good fit for handling generic types (like `Map`s and `Collection`s or array types).

Unlike `SimpleSerializers`, this class does not currently support generic mappings; all mappings must be to exact declared deserialization type.

See Also:
  Serialized Form

Field Summary
`protected HashMap<ClassKey,KeyDeserializer>` `_classMappings`

Constructor Summary
`SimpleKeyDeserializers()`

Method Summary
`SimpleKeyDeserializers` `addDeserializer(Class<?> forClass, KeyDeserializer deser)`
`KeyDeserializer` `findKeyDeserializer(JavaType type, DeserializationConfig config, BeanDescription beanDesc)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _classMappings

    protected HashMap<ClassKey,KeyDeserializer> _classMappings

Constructor Detail

### SimpleKeyDeserializers

    public SimpleKeyDeserializers()

Method Detail

### addDeserializer

    public SimpleKeyDeserializers addDeserializer(Class<?> forClass,
                                                  KeyDeserializer deser)

### findKeyDeserializer

    public KeyDeserializer findKeyDeserializer(JavaType type,
                                               DeserializationConfig config,
                                               BeanDescription beanDesc)

  Specified by:
    `findKeyDeserializer` in interface `KeyDeserializers`

Copyright © 2012 FasterXML. All Rights Reserved.